/*
******************************************************************************************
itbpGSMdefinition.h v 0.11/201600729 by itbrainpower.net
This file is part of the itbrainpower.net port of the original Arduino GSM communications 
library for Arduino (embedded in Arduino v1.6.9).

Modems to use with this library: a-gsm, c-uGSM, h-nanoGSM and ...ArduinoGSM - you may run 
(almost) any project written for Arduino GSM.

*********************************IMPORTANT NOTICE*****************************************
You may like to set your modem type and configuration on lines 46 and 47.
*******************************END of NOTICE**********************************************

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

The latest version of this library can always be found at:
https://itbrainpower.net/download

Dragos Iosub, Bucharest 2016.
https://itbrainpower.net
******************************************************************************************
*/
//definition for the itbrainpower.net GSM modems
#ifndef _itbpGSMdefinition_h_
#define _itbpGSMdefinition_h_

#define gsmArduino		-1
#define agsm			0
#define cuGSM			1
#define hnanoGSM		2
//#define du3G			10		//do not use it...not yet implemented...here just for future compatibility

/*START modem section*/
#define __itbpModem__ hnanoGSM		//here you can set your modem type
#define __usejLader__			//un-comment to use c-uGSM/h-nanoGSM with Arduino Nano/Micro via j-LaderGSM3G adapter
/*STOP modem section*/

#endif